Oore CI
ReferenceAPIOperationsBuilds

List builds

Returns builds, optionally filtered by project, pipeline, or status.

Operation IDlist_builds
GET
/v1/builds

Returns builds, optionally filtered by project, pipeline, or status.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Page size (default 50)

Formatint64
offset?integer

Page offset (default 0)

Formatint64
project_id?string

Filter by project

pipeline_id?string

Filter by pipeline

status?string

Filter by one status or up to 9 comma-separated statuses

sort?string

Sort by created_at, status, project_name, pipeline_name, or branch

direction?string

Sort direction: asc or desc

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/builds"
{  "builds": [    {      "branch": "string",      "build_number": 0,      "changelog": "string",      "commit_sha": "string",      "config_snapshot": {},      "context": null,      "created_at": 0,      "exit_code": 0,      "finished_at": 0,      "id": "string",      "pipeline_id": "string",      "project_id": "string",      "queued_at": 0,      "runner_id": "string",      "runner_policy_block_reason": null,      "source_build_id": "string",      "started_at": 0,      "status": "queued",      "step_results": [        {          "duration_ms": 0,          "exit_code": 0,          "finished_at": 0,          "name": "string",          "started_at": 0,          "status": "string"        }      ],      "trigger_actor": "string",      "trigger_event": "string",      "trigger_ref": "string",      "trigger_type": "manual",      "updated_at": 0    }  ],  "total": 0}